import { UUICardElement } from '@umbraco-ui/uui-card/lib';
/**
 *  @element uui-card-media
 *  @fires {UUICardEvent} open - fires when the media card title is clicked
 *  @fires {UUICardEvent} selected - fires when the card is selected
 *  @description - Card component for displaying a media item.
 */
export declare class UUICardMediaElement extends UUICardElement {
    static styles: import("lit").CSSResult[];
    /**
     * Media name
     * @type {string}
     * @attr name
     * @default ''
     */
    name: string;
    /**
     * Media file extension, without "."
     * @type {string}
     * @attr file-ext
     * @default ''
     */
    fileExt: string;
    protected hasPreview: boolean;
    private queryPreviews;
    protected renderMedia(): import("lit-html").TemplateResult<1> | "";
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-card-media': UUICardMediaElement;
    }
}
